Bug 439133 - Problem with system set manager
Problem with system set manager
Status: CLOSED NOTABUG
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
500
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Brandon Perkins
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-27 03:36 EDT by AJ Hettema
Modified: 2008-12-23 12:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-23 12:30:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
satellite-debug (3.79 MB, application/octet-stream)
2008-03-27 03:36 EDT, AJ Hettema
no flags Details

  None (edit)
Description AJ Hettema 2008-03-27 03:36:02 EDT
Description of problem:
- After selecting some systems from the systems page and click on manage, I got 
the message from internet explorer it cannot display that page.
Not even with a (forced) refresh. When I wait a little while and do it again it 
works.

Version-Release number of selected component (if applicable):
- satellite 5.0

How reproducible:


Steps to Reproduce:
1. select some systems in the systems tab
2 click on manage
3.
  
Actual results:
- Error from internet explorer: Internet Explorer cannot display the webpage


Expected results:

- The page of System Set Manager 
(https://satellite/network/systems/ssm/index.pxt).

Additional info:

I looked into the /var/log/httpd/error.log and noticed that when I saw this 
issue occuring the following entry appeared:

[Thu Mar 27 08:27:18 2008] [error] Cannot ping database handle for 
rhnsat/rhnsat@rhnsat: ORA-03113: end-of-file on communication channel (DBD 
ERROR: OCIStmtExecute) (RHN::Exception: DBD::Oracle::st execute failed: ORA-
03113: end-of-file on communication channel (DBD ERROR: OCIStmtExecute) [for 
Statement "SELECT 1 + 2 FROM DUAL"]!  
RHN::DB /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm 222 
RHN::Exception::DB::throw!  
RHN::DB::db /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm 419 
RHN::DB::handle_error!  RHN::DB::db /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm 
405 (eval)!  RHN::DB /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm 155 
RHN::DB::db::ping!  RHN::DB /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm 139 
RHN::DB::connect!  RHN::DB /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm 139 
(eval)!  RHN::Session /usr/lib/perl5/site_perl/5.8.5/RHN/Session.pm 98 
RHN::DB::soft_connect!  
PXT::ApacheHandler /usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 411 
RHN::Session::load!  
PXT::ApacheHandler /usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm 410 
(eval)!  PXT::ApacheAuth /usr/lib/perl5/site_perl/5.8.5/PXT/ApacheAuth.pm 23 
PXT::ApacheHandler::initialize_pxt!  main /dev/null 0 
PXT::ApacheAuth::handler!  main /dev/null 0 (eval)!!Offending Query: SELECT 1 + 
2 FROM DUAL!) at /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm line 155!!
RHN::DB::connect('RHN::DB', 'undef') called 
at /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm line 139!!eval {...} called 
at /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm line 139!!RHN::DB::soft_connect
('RHN::DB') called at /usr/lib/perl5/site_perl/5.8.5/RHN/Session.pm line 98!!
RHN::Session::load('RHN::Session', '96630x671b1e890ea91fabee72bf54c87c07eb') 
called at /usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm line 411!!eval 
{...} called at /usr/lib/perl5/site_perl/5.8.5/PXT/ApacheHandler.pm line 410!!
PXT::ApacheHandler::initialize_pxt('PXT::ApacheHandler', 'Apache=SCALAR
(0xadc690c)') called at /usr/lib/perl5/site_perl/5.8.5/PXT/ApacheAuth.pm line 
23!!PXT::ApacheAuth::handler('Apache=SCALAR(0xadc690c)') called at /dev/null 
line 0!!eval {...} called at /dev/null line 0
[Thu Mar 27 08:27:18 2008] [error] Issuing rollback() for database handle being 
DESTROY'd without explicit disconnect() 
at /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm line 191.
[Thu Mar 27 08:27:18 2008] [error] Attempt to free unreferenced scalar: SV 
0x9c1c7c4, Perl interpreter: 0x8553d88 
at /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm line 191.
[Thu Mar 27 08:27:18 2008] [error] Attempt to free unreferenced scalar: SV 
0x9c1c7c4, Perl interpreter: 0x8553d88 
at /usr/lib/perl5/site_perl/5.8.5/RHN/DB.pm line 372.
[Thu Mar 27 08:27:19 2008] [notice] child pid 29346 exit signal Segmentation 
fault (11)
Comment 1 AJ Hettema 2008-03-27 03:36:02 EDT
Created attachment 299291 [details]
satellite-debug
Comment 2 AJ Hettema 2008-04-19 09:53:19 EDT
hi,

I have changed the way we backup the satellite database, and we didn't ran into 
this problem anymore. After backing up the satellite with db-control backup, I 
start the database again (have stopped it of course beforehand), and I restart 
httpd and tomcat. This seems to solve the issue. Hope this'll be of any help to 
someone.

cheers
Jouk
Comment 3 Clifford Perry 2008-12-23 12:30:54 EST
Hi there, 

https://www.redhat.com/docs/manuals/satellite/Red_Hat_Network_Satellite-5.2.0/html/Installation_Guide/s2-rhn-db-control-backup.html

States to stop all services (this would include httpd and tomcat). I am glad that you found that changing your processes to be closer to our stated method of performing a database backup is working for you. 

I am going to close this bug report out now as I see no action here to take. 

Regards,
Clifford

Note You need to log in before you can comment on or make changes to this bug.